Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io
Class AbstractEvolvable

`java.lang.Object
com.tangosol.io.AbstractEvolvable`

All Implemented Interfaces:
  Evolvable

      public abstract class AbstractEvolvable

extends java.lang.Object
implements Evolvable

An abstract base class for implementing Evolvable objects.

Author:
  cp/jh/mf 2006.07.20

Constructor Summary
`AbstractEvolvable()`

Method Summary
`int` | `getDataVersion()` Obtain the version associated with the data stream from which this object was deserialized.
`Binary` | `getFutureData()` Return all the unknown remainder of the data stream from which this object was deserialized.
`abstract int` | `getImplVersion()` Determine the serialization version supported by the implementing class.
`void` | `setDataVersion(int nVersion)` Set the version associated with the data stream with which this object is being deserialized.
`void` | `setFutureData(Binary binFuture)` Store the unknown remainder of the data stream from which this object is being deserialized.

Constructor Detail

### AbstractEvolvable

    public AbstractEvolvable()

Method Detail

### getImplVersion

    public abstract int getImplVersion()

  Determine the serialization version supported by the implementing class.
  Specified by:
    `getImplVersion` in interface `Evolvable`
  Returns:
    the serialization version supported by this object

### getDataVersion

    public int getDataVersion()

  Obtain the version associated with the data stream from which this object was deserialized. If the object was constructed (not deserialized), the data version is the same as the implementation version.
  Specified by:
    `getDataVersion` in interface `Evolvable`
  Returns:
    the version of the data used to initialize this object, greater than or equal to zero

### setDataVersion

    public void setDataVersion(int nVersion)

  Set the version associated with the data stream with which this object is being deserialized.
  Specified by:
    `setDataVersion` in interface `Evolvable`
  Parameters:
    `nVersion` - the version of the data in the data stream that will be used to deserialize this object; greater than or equal to zero

### getFutureData

    public Binary getFutureData()

  Return all the unknown remainder of the data stream from which this object was deserialized. The remainder is unknown because it is data that was originally written by a future version of this object's class.
  Specified by:
    `getFutureData` in interface `Evolvable`
  Returns:
    future data in binary form

### setFutureData

    public void setFutureData(Binary binFuture)

  Store the unknown remainder of the data stream from which this object is being deserialized. The remainder is unknown because it is data that was originally written by a future version of this object's class.
  Specified by:
    `setFutureData` in interface `Evolvable`
  Parameters:
    `binFuture` - future data in binary form

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.